Status: Closed

Priority: Normal

Assignee:
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21745

Description

Take a postgis multi-point table and save it to shapefile

Check the "Add saved file to map" option

After validation, you'll get a message about an error due to the multipoint geometry and only the single parts features have been written

into the shapefile.

If you close the pop-up, you'll find that although your file has been created, QGIS doesn't add it to the canvas, as asked for.

History

#1 - 2015-11-06 11:13 AM - Giovanni Manghi

- Target version deleted (Future Release - Nice to have)

- Category set to Vectors

- Status changed from Open to Feedback

Hi, just tested on latest master and I cannot confirm.

#2 - 2015-11-07 03:31 AM - Harrissou Santanna

Hi,

I don't have a PostgreSQL DB right now to check again but what do u mean by "can not confirm":

- QGIS adds the file to the canvas after prompting a message about wrong multipoint features?

- QGIS doesn't show the message and just creates and adds the file to the canvas. And then do you have all your features?

Note that I use a PG table that contains multi-geometry point features.

#3 - 2015-11-07 05:23 AM - Giovanni Manghi

Harrissou Santanna wrote:

Hi,

I don't have a PostgreSQL DB right now to check again but what do u mean by "can not confirm":

- QGIS adds the file to the canvas after prompting a message about wrong multipoint features?

no message

- QGIS doesn't show the message and just creates and adds the file to the canvas. And then do you have all your features?
the added layer is ok, both for geometries and attributes.

Note that I use a PG table that contains multi-geometry point features.

I have used a multipoint layer.

#4 - 2015-11-25 02:49 AM - Harrissou Santanna

Weird. I tested again and all went like a charm (ltr, 2.12, 2.13). I have all the features.

Do you think it may be related  to a third-part bug that has been fixed meanwhile? As stated in another report of the same day (#13720), I couldn't merge

nor split features but it works now.

Feel free to invalidate this report, please.

#5 - 2015-12-19 10:48 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
